QGIS confuse EPSG:3857 with EPSG:54004
Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:2.4.0 Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 19462

Description

After reprojecting a layer with ogr2ogr to SRS EPSG:3857, QGIS think it's SRS is EPSG:54004.

To try, you can download this Philadelphia dataset, and run:

ogr2ogr -t_srs EPSG:3857 -s_srs EPSG:4326 city_limits_test.shp clipFeature/city_limits.shp

And add the city_limits_test layer in a clean QGIS project, and you'll see the SRS is EPSG:54004.

History

#1 - 2014-09-03 03:38 PM - Jürgen Fischer

- Subject changed from QGIS confuse ESPG:3857 with ESPG:54004 to QGIS confuse EPSG:3857 with EPSG:54004

#2 - 2014-10-27 09:32 AM - Jürgen Fischer

- Category changed from Browser to Projection Support

#3 - 2016-05-12 07:03 PM - Etienne Trimaille

This bug is still true in QGIS 2.14.2 and GDAL 1.11.3.

If you work with a layer in 3857, it will be in 54004 after some processing in QGIS. I need to check if it's only with OGR algorithms.

#4 - 2016-05-28 10:59 AM - Even Rouault

- Resolution set to up/downstream

- Status changed from Open to Closed

This has been fixed in GDAL 2.1.0. Extract from the GDAL release news :

    -  morphToESRI(): use Mercator_Auxiliary_Sphere projection for EPSG:3857. morphFromESRI(): map Mercator_Auxiliary_Sphere to EPSG:3857

(#5924)

It generates this .prj file

$ cat out.prj 

PROJCS["WGS_1984_Web_Mercator_Auxiliary_Sphere",GEOGCS["GCS_WGS_1984",DATUM["D_WGS_1984",SPHEROID["WGS_1984",6378137.0

298.257223563]],PRIMEM["Greenwich",0.0],UNIT["Degree",0.0174532925199433]],PROJECTION["Mercator_Auxiliary_Sphere"],PARAMETER["False_Easting",0.0],PARAMETER["False_Northing",0.0],PARAMETER["Central_Meridian",0.0],PARAMETER["Standard_Parallel_1",0.0],P

Easting",0.0],PARAMETER["False_Northing",0.0],PARAMETER["Central_Meridian",0.0],PARAMETER["Standard_Parallel_1",0.0],PARAMETER["Auxiliary_Sphere_Type",0.0],UNIT["Meter",1.0]]
https://www.e-education.psu.edu/geog585/sites/www.e-education.psu.edu.geog585/files/lesson3/PhiladelphiaBaseLayers.zip


ry_Sphere_Type",0.0],UNIT["Meter",1.0]]

And it is read by OGR as :

PROJCS["WGS 84 / Pseudo-Mercator",

    GEOGCS["WGS 84",

        DATUM["WGS_1984",

            SPHEROID["WGS 84",6378137,298.257223563,

                AUTHORITY["EPSG","7030"]],

            AUTHORITY["EPSG","6326"]],

        PRIMEM["Greenwich",0,

            AUTHORITY["EPSG","8901"]],

        UNIT["degree",0.0174532925199433,

            AUTHORITY["EPSG","9122"]],

        AUTHORITY["EPSG","4326"]],

    PROJECTION["Mercator_1SP"],

    PARAMETER["central_meridian",0],

    PARAMETER["scale_factor",1],

    PARAMETER["false_easting",0],

    PARAMETER["false_northing",0],

    UNIT["metre",1,

        AUTHORITY["EPSG","9001"]],

    AXIS["X",EAST],

    AXIS["Y",NORTH],

    EXTENSION["PROJ4","+proj=merc +a=6378137 +b=6378137 +lat_ts=0.0 +lon_0=0.0 +x_0=0.0 +y_0=0 +k=1.0 +units=m +nadgrids=@null +wktext

+no_defs"],

    AUTHORITY["EPSG","3857"]]
